import { resolve } from 'path'
import { execSync } from 'child_process'
import { copy, remove } from 'fs-extra'

export default async function start(): Promise<void> {
  const baseDir: string = process.cwd()
  const ezappDir: string = resolve(baseDir, '.ezapp')

  await remove(ezappDir)
  await copy(resolve(baseDir, 'node_modules/@arkisst/ezapp/template/web'), resolve(ezappDir, 'web'))
  await copy(resolve(baseDir, 'node_modules/@arkisst/ezapp/template/storage'), resolve(ezappDir, 'storage'))

  execSync(`${resolve('node_modules/.bin/nodemon')} --config ${resolve('.ezapp/web/nodemon.json')} ${resolve('.ezapp/web/server/app.ts')}`, {
    cwd: baseDir,
    stdio: 'inherit'
  })
}
