#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const program = require("commander");
const spinner = require("./spinner");
const copy_template_1 = require("./init/copy-template");
const set_meta_information_1 = require("./init/set-meta-information");
const install_dependencies_1 = require("./init/install-dependencies");
let appName;
const pkg = require(path_1.resolve(__dirname, '../../package.json'));
program
    .version(pkg.version)
    .arguments('<name>')
    .action(function (name) {
    appName = name;
});
program.parse(process.argv);
if (typeof appName === 'undefined') {
    appName = 'my-app';
}
async function init(name) {
    const templatePath = path_1.resolve(__dirname, '../../template/base');
    const targetPath = path_1.resolve(process.cwd(), name);
    await copy_template_1.default(templatePath, targetPath);
    await set_meta_information_1.default(targetPath, name);
    const pm = await install_dependencies_1.default(targetPath);
    const cmd = pm === 'yarn' ? 'yarn start' : 'npm start';
    spinner.clear(`Run \`${cmd}\` inside of "${name}" to start the app`);
}
init(appName);
