"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const fs = require("fs-extra");
const util_1 = require("util");
const child_process_1 = require("child_process");
const spinner = require("../spinner");
async function installDependencies(cwd, cmd = 'yarn') {
    if (cmd === 'yarn') {
        spinner.create('Install dependencies');
    }
    const exec = util_1.promisify(child_process_1.exec);
    let stderr;
    try {
        ({ stderr } = await exec(cmd, { cwd }));
        if (cmd === 'npm install') {
            await fs.remove(path_1.join(cwd, 'yarn.lock'));
        }
    }
    catch (err) {
        if (cmd === 'yarn' && err.code === 127) {
            return module.exports(cwd, 'npm install');
        }
        spinner.fail('Not able to install dependencies');
        return;
    }
    let check = stderr.includes('warning');
    if (cmd === 'npm install') {
        check = stderr.includes('npm WARN');
    }
    if (Boolean(stderr) && !check) {
        spinner.fail(`An error occurred: ${stderr}`);
    }
    return cmd;
}
exports.default = installDependencies;
