"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const fs = require("fs-extra");
const spinner = require("../spinner");
async function setAppName(targetPath, name) {
    spinner.create('Set meta information');
    const path = path_1.resolve(targetPath, 'package.json');
    const content = await fs.readJSON(path);
    content.name = name;
    if (process.env.NODE_ENV === 'testing') {
        content.dependencies['@arkisst/ezapp'] = path_1.resolve(__dirname, '../../..');
    }
    content.dependencies['sqlite'] = 'latest';
    await fs.writeJSON(path, { ...content }, { spaces: 2 });
}
exports.default = setAppName;
