"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ora = require("ora");
const chalk_1 = require("chalk");
const cache = {};
const isTTY = process.env.CI ? false : process.stdout.isTTY;
function create(text) {
    if (!isTTY) {
        console.log(`[ezapp] ${text}`);
        return;
    }
    const { spinner } = cache;
    if (spinner) {
        spinner.succeed();
        delete cache.spinner;
    }
    cache.spinner = ora({
        text,
        color: 'magenta'
    }).start();
}
exports.create = create;
function clear(message, isError) {
    if (!isTTY) {
        console.log(`[ezapp] ${message}`);
        return;
    }
    const { spinner } = cache;
    if (spinner) {
        (isError ? spinner.fail() : spinner.succeed());
        delete cache.spinner;
        console.log('');
    }
    const prefix = isError ? chalk_1.default.red('Error!') : chalk_1.default.green('Done!');
    console.log(`${prefix} ${message}`);
}
exports.clear = clear;
function fail(message) {
    clear(message, true);
    process.exit(1);
}
exports.fail = fail;
