"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const child_process_1 = require("child_process");
const fs_extra_1 = require("fs-extra");
async function start() {
    const baseDir = process.cwd();
    const ezappDir = path_1.resolve(baseDir, '.ezapp');
    await fs_extra_1.remove(ezappDir);
    await fs_extra_1.copy(path_1.resolve(baseDir, 'node_modules/@arkisst/ezapp/template/web'), path_1.resolve(ezappDir, 'web'));
    await fs_extra_1.copy(path_1.resolve(baseDir, 'node_modules/@arkisst/ezapp/template/storage'), path_1.resolve(ezappDir, 'storage'));
    child_process_1.execSync(`${path_1.resolve('node_modules/.bin/nodemon')} --config ${path_1.resolve('.ezapp/web/nodemon.json')} ${path_1.resolve('.ezapp/web/server/app.ts')}`, {
        cwd: baseDir,
        stdio: 'inherit'
    });
}
exports.default = start;
