import { resolve } from 'path'
import * as fs from 'fs-extra'

export async function isNextRoute(route: string, nextProjectRoot: string): Promise<boolean> {
  const targetDir: string = resolve(nextProjectRoot, 'pages')
  if (!await fs.pathExists(targetDir)) {
    return false
  }

  let isNextRoute: boolean = false
  const files: string[] = await fs.readdir(targetDir)
  files.some((file) => {
    const keyPage: string = file.replace('.tsx', '').replace('.ts', '')
    const keyRoute: string = route.split('/')[1] === '' ? 'index' : route.split('/')[1]
    if (keyPage.toLowerCase() === keyRoute.toLowerCase()) {
      isNextRoute = true
      return true
    }
  })

  return isNextRoute
}
